Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 01-04-2018 09:59:44

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

[RÉSOLU] Imprimante HP Laserjet pw 1102

Bonjour à tous,

Bon, j'y ai passé quelques heures sans trouver de solutions. Alors je demande un peu d'aide.

En effet, j'ai installé une version stable de Debian sur un Asus Zenbook. Tout fonctionne ou presque.

Je suis dans l'incapacité d'installer le petit logiciel qui est nécessaire à faire fonctionner mon imprimante HP (wifi). J'ai chaque fois des messages d'erreurs : problèmes de dépendances non-résolues.

J'ai tenté d'installer hplip-3.18.3.run  mais ça ne marche pas. Sur le dernier paquet voici le message d'erreur que jai dès que je lance le programme :

Installer log saved in: hplip-install_Sun-01-Apr-2018_09:58:52.log

\
note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.
|Gtk-Message: Failed to load module "canberra-gtk-module"
/Gtk-Message: Failed to load module "canberra-gtk-module"
error: debian-9.4 version is not supported, so all dependencies may not be installed. However trying to install using debian-9.1 version packages.

Press 'y' to continue auto installation. Press 'n' to quit auto instalation(y=yes, n=no*):
 




Je tourne en rond... avez-vous une piste histoire de commencer à trouver une solution ?

j'ai installé hplip depuis les sources, mais en dépit de mes tentatives ça ne marche toujours pas.

Merci

Dernière modification par jettero (01-04-2018 21:09:11)

Hors ligne

#2 01-04-2018 10:44:12

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.10.0-5-amd64
(G)UI : LightDM et Xfce4.16
Inscription : 29-04-2015

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Ça à l'air un peu le bazarre ton affaire.

Es-tu sûr d'être en version debian stable ?

La version stable de hplip est la 3.16.11.

As-tu fait une mise à jour de tes paquets avant l'installation ?

Tousse antique Ovide !

Hors ligne

#3 01-04-2018 11:04:34

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

heuu bien je crois oui, j'ai installé une version stable.

uname -a


Linux nomade 4.9.0-6-amd64 #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02) x86_64 GNU/Linux
 



cat /etc/debian_version


9.4



je poste aussi la seule et unique ligne de mon sources.list

deb http://http.us.debian.org/debian stable main contrib non-free

puis

apt-get update

Hors ligne

#4 01-04-2018 12:15:16

Blob
Membre
Distrib. : Arch
Noyau : 4.16.6-1
(G)UI : KDE - 5.12.4
Inscription : 18-03-2018

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Salut !

C'est quelle version de Stretch que t'as installé ? Tu l'as récupérée ou ?

Avec les mêmes commandes j'obtiens ces resultats :

uname -a
Linux Debian 4.9.0-6-amd64 #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02) x86_64 GNU/Linux



C'est le nomade retourné sur ta version que je comprends pas.

cat /etc/debian_version
9.4



mon sources.list :

nano /etc/apt.sources.list

# deb cdrom:[Debian GNU/Linux 9.4.0 _Stretch_ - Official amd64 NETINST 20180310$

#deb cdrom:[Debian GNU/Linux 9.4.0 _Stretch_ - Official amd64 NETINST 20180310-$

deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
#deb-src http://ftp.fr.debian.org/debian/ stretch main contrib non-free

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
#deb-src http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
#deb-src http://ftp.fr.debian.org/debian/ stretch-updates main

Dernière modification par Blob (01-04-2018 12:57:43)


https://lescahiersdudebutant.fr/
Iron Maiden's gonna get you, no matter how far

Hors ligne

#5 01-04-2018 12:57:26

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Bon, c'est strictement pareil !

C'est une version qui date de juin 2017. Récupérée sur le site de Debian. Une fois installée j'ai fait une mise à jour, mais il y a eu très peu de lignes d'installation.

Bref, j'ai quand même tenté d'installer la version stable de hplip (3.16.11). Mais j'ai toujours le même message d'erreur (celui que j'ai posté dans le premier post).

Hors ligne

#6 01-04-2018 12:59:36

Blob
Membre
Distrib. : Arch
Noyau : 4.16.6-1
(G)UI : KDE - 5.12.4
Inscription : 18-03-2018

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Ben en fait c'est le nomade retourné sur ta version que je comprends pas, + tes sources list

jettero a écrit :

nomade est le nom de ma machine



Ha mince, d'accord x)

Dernière modification par Blob (01-04-2018 14:35:24)


https://lescahiersdudebutant.fr/
Iron Maiden's gonna get you, no matter how far

Hors ligne

#7 01-04-2018 13:07:20

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

sans prétention , si ça peut aider   ...

https://debian-facile.org/doc:systeme:a … st:stretch

https://forum.ubuntu-fr.org/viewtopic.php?id=12224

pour désinstaller un fichier .run :

sh nomdupackage.run --uninstall


où nomdupackage.run est le nom du fichier .run avec son extension , par exemple :

sh hplip-3.17.9.run --uninstall


avant d'installer avec apt.

Dernière modification par Debian Alain (01-04-2018 13:19:25)

Hors ligne

#8 01-04-2018 13:24:28

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

nomade est le nom de ma machine et j'ai copié ton sources.list et refait un updage et upgrade, mais hélas hplip continue de me dire qu'il manque des dépendances :

DEPENDENCY AND CONFLICT RESOLUTION
----------------------------------
error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.
error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.


RUNNING POST-PACKAGE COMMANDS
-----------------------------
OK


RE-CHECKING DEPENDENCIES
------------------------
error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.
error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.
error: Installation cannot continue without these dependencies.
error: Please manually install this dependency and re-run this installer.



C'est quand même dingue, j'ai tenté d'installer ces foutues dépendances depuis ce matin, mais j'ai toujours les messages d'erreurs. C'est pas possible qu'un truc aussi simple prenne des plombes !

Hors ligne

#9 01-04-2018 13:39:02

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

tu utilises quelle version de hplip ? peux tu nous la donner ? (le libellé du fichier , savoir hplip ???? .run)

souvent hplip est installé par défaut dans debian . faut juste installer le gui pour le voir .

Dernière modification par Debian Alain (01-04-2018 13:39:44)

Hors ligne

#10 01-04-2018 13:44:15

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

j'ai pris celle conseillée dans le second post soit hplip-3.16.11.run

Hors ligne

#11 01-04-2018 13:52:58

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

tes fichiers .run , tu les a sauvegardés où ?

Hors ligne

#12 01-04-2018 13:59:10

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.10.0-5-amd64
(G)UI : LightDM et Xfce4.16
Inscription : 29-04-2015

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Affiches-nous ton sources.list pour que nous comprenions d'où viennent tes paquets.

Tousse antique Ovide !

Hors ligne

#13 01-04-2018 14:04:55

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

essaies de désinstaller les hplip 3.18.3.run  et 3.16.11.run en tapant ceci :

sh hplip-3.18.3.run --uninstall && sh hplip-3.16.11.run --uninstall

si cette commande ne fonctionne pas , essaies

sh hplip-3.18.3.run --uninstall
sh hplip-3.16.11.run --uninstall

n'oublies pas de nous poster le retour

après on pourra passer à l'étape suivante .

tu peux te confectionner le sources.list  suivant :


# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
# Debian Stretch, dépôt de rétroportages ("backports")
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
 



et taper

sudo apt -t stretch-backports install hplip  hplip-gui



qui devrait t'installer la toute dernière version pour stretch , savoir , la 3.17.10

Dernière modification par Debian Alain (01-04-2018 15:07:38)

Hors ligne

#14 01-04-2018 14:47:31

Mercredi
Membre
Distrib. : Testing/Sid
Noyau : 5.2
(G)UI : Gnome-shell
Inscription : 25-09-2015

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Bonjour,
C'est bien cette imprimante : https://support.hp.com/us-en/product/hp … 06/drivers ?

J'ai la même et elle a toujours bien fonctionné avec Debian (sous Jessie, Stretch et Buster) avec le paquet hplip disponible dans les dépôts. Perso j'installe aussi le paquet hplip-gui (interface graphique) qui permet d'installer facilement le driver nécessaire au fonctionnement de l'impression par wifi.

Hors ligne

#15 01-04-2018 15:13:39

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Merci pour vos nombreuses réponses. Comme j'étais au tout début de mon installation, j'ai refait une install au propre.

voici mon sources.list

#

# deb cdrom:[Debian GNU/Linux 9.0.0 _Stretch_ - Official amd64 DVD Binary-1 20170617-13:08]/ stretch main

# deb cdrom:[Debian GNU/Linux 9.0.0 _Stretch_ - Official amd64 DVD Binary-1 20170617-13:08]/ stretch main

deb http://ftp.ch.debian.org/debian/ stretch main non-free contrib
deb-src http://ftp.ch.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.ch.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.ch.debian.org/debian/ stretch-updates main contrib non-free



Je vais le mettre à jour selon ce que @Debian Alain a posté et essayer d'installer depuis les paquets.

@Mercredi oui c'est bien cette imprimante que j'ai aussi.

Bon je vais tester tout ceci et je vous reviens. Merci encore

Hors ligne

#16 01-04-2018 15:14:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Bonjour jettero,

Pourrais-tu commencer par donner les références exactes et précises de cette imprimante ? voire :

lsusb


Le site officiel de HPLIP fait état de « deux » modèles :

  • LaserJet Professional P 1102w, pris en charge à partir de la version 3.12.6 ;

  • LaserJet Professional p1102w, pris en charge à partir de la version 3.10.5...


En pratique, je ne trouve que le modèle LaserJet Pro P1102w, lequel semble dater de 2010.

Quoi qu'il en soit, un plugin (mais il s'agit aussi d'un firmware), est requis. Le sujet a été abordé, ici.

Dernière modification par èfpé (01-04-2018 17:24:42)

Hors ligne

#17 01-04-2018 15:36:17

Mercredi
Membre
Distrib. : Testing/Sid
Noyau : 5.2
(G)UI : Gnome-shell
Inscription : 25-09-2015

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

jettero a écrit :

@Mercredi oui c'est bien cette imprimante que j'ai aussi.



Dans ce cas

apt install hplip hplip-gui



Et une fois branchée, détéctée, pour le pilote wifi dans l'interface graphique HP device manager tu cliques sur install required plugin
1522589463.png

Il arrive parfois qu'une mise à jour écrase ce pilote, il suffit alors de refaire la manip' depuis l'outil graphique.

Après c'est ma façon de faire, ce n'est probablement pas la seule wink

Hors ligne

#18 01-04-2018 16:57:36

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.10.0-5-amd64
(G)UI : LightDM et Xfce4.16
Inscription : 29-04-2015

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Ton sources.list est incorrect

Il n'y a pas de dépôt en ftp sous stretch. Uniquement en http.

Utilises l'exemple de debian Alain.

Ensuite avant d'installer quoi que ce soit, fais une mise à jour des paquets avec :


apt-get update && apt-get upgrade



Après seulement tu installeras hplip.


Tousse antique Ovide !

Hors ligne

#19 01-04-2018 17:10:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

@Philou92,

Cette affirmation est inexacte, l'installateur Debian configure ces dépôts... c'est l'accès aux dépôts en FTP, qui a été fermé !

Dernière modification par èfpé (01-04-2018 18:10:42)

Hors ligne

#20 01-04-2018 17:39:20

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Bonjour,
On peut voir que toutes les lignes commencent bien par http:// donc c'est bon pour les dépôts smile

Hors ligne

#21 01-04-2018 17:54:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

@chalu,

Hé oui on dira que c'est le poisson d'avril du forum Debian-Facile. Philou92 est un sacré filou tongue

Hors ligne

#22 01-04-2018 18:04:56

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

oui , d'accord chalu et èfpé ,

ne pas  confondre FTP:// et HTTP://

Hors ligne

#23 01-04-2018 18:31:10

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.10.0-5-amd64
(G)UI : LightDM et Xfce4.16
Inscription : 29-04-2015

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Flûte !

Au temps pour moi.

Cela m'apprendra à mon age de lire sur un support numérique trop petit. old_geek.gif

Dernière modification par Philou92 (01-04-2018 18:32:21)


Tousse antique Ovide !

Hors ligne

#24 01-04-2018 20:27:38

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102

Bon ben c'est super ! Cette fois tout est en ordre.

En je ne savais pas que c'était dans les dépôts.... et me suis bien pris la tête pour pas grand chose.

Mais voilà quand on sait, c'est plus simple.

Un grand merci à vous tous.

Hors ligne

#25 01-04-2018 20:37:44

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.10.0-5-amd64
(G)UI : LightDM et Xfce4.16
Inscription : 29-04-2015

Re : [RÉSOLU] Imprimante HP Laserjet pw 1102


Tousse antique Ovide !

Hors ligne

Pied de page des forums